# 0.1.0-dev.10

- **BREAKING** feat: upgrade to `mason ^0.1.0-dev.6`

  - add `--set-exit-if-changed` to `make` command

    ```sh
    # fail with exit code 70 if any files were changed
    mason make greeting --name Dash --set-exit-if-changed
    ✓ Made brick greeting (0.1s)
    ✓ Generated 1 file:
      GREETINGS.md (new)
    ✗ 1 file changed
    ```

# 0.1.0-dev.9

- feat: apply bzip compression to universal bundle
- chore: fix typo in CHANGELOG

# 0.1.0-dev.8

- feat: add `mason update` command
- feat: remove auto-update prompt when newer version exists
- docs: minor updates to CLI description and README

# 0.1.0-dev.7

- **BREAKING** feat: upgrade to `mason ^0.1.0-dev.5`

  - computed vars support via `HookContext`

    ```dart
    // pre_gen.dart
    import 'package:mason/mason.dart';

    // Every hook must contain a run method which accepts a `HookContext`
    // from package:mason/mason.dart.
    void run(HookContext context) {
      // Read / Write vars
      context.vars = {
        ...context.vars,
        'custom_var': 'foo',
      };

      // Use the logger
      context.logger.info('hello from pre_gen.dart');
    }
    ```

# 0.1.0-dev.6

- **BREAKING** feat: upgrade to `mason ^0.1.0-dev.4`
  - `version` is required in `MasonBundle`
  - `brick.yaml` variable enhancement support
- feat: `mason make <brick> --help` variable enhancements
  - show variable types, descriptions, and default values
- feat: enhance bricks generated by:
  - `mason init`
  - `mason new`
- feat: `mason ls` returns bricks in alphabetical order

# 0.1.0-dev.5

- **BREAKING** feat: upgrade to `mason ^0.1.0-dev.3`
  - `version` is required in `brick.yaml`
- feat: add `version` to newly created bricks
  - `mason new` and `mason init`

# 0.1.0-dev.4

- chore: upgrade to `mason ^0.1.0-dev.2`

# 0.1.0-dev.3

- feat: add `mason list --global` ([#176](https://github.com/felangel/mason/pull/176))
- chore(deps): upgrade to `build_verify: ^3.0.0`

# 0.1.0-dev.2

- feat: upgrade to `mason ^0.1.0-dev.1`

# 0.1.0-dev.1

**Dev Release**

- chore: initial package (🚧 under construction 🚧)
